#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './apollonchatiface.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "apollonchatiface.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qsplitter.h>
#include <qtextbrowser.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "chatline.h"

/*
 *  Constructs a ApollonChatIface as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ApollonChatIface::ApollonChatIface( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ApollonChatIface" );
    ApollonChatIfaceLayout = new QGridLayout( this, 1, 1, 11, 6, "ApollonChatIfaceLayout"); 

    layout2 = new QHBoxLayout( 0, 0, 6, "layout2"); 

    m_connectButton = new QPushButton( this, "m_connectButton" );
    m_connectButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, m_connectButton->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( m_connectButton );

    m_connectLabel = new QLabel( this, "m_connectLabel" );
    m_connectLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, m_connectLabel->sizePolicy().hasHeightForWidth() ) );
    layout2->addWidget( m_connectLabel );

    ApollonChatIfaceLayout->addLayout( layout2, 0, 0 );

    m_messageLineEdit = new chatLine( this, "m_messageLineEdit" );
    m_messageLineEdit->setEnabled( FALSE );

    ApollonChatIfaceLayout->addWidget( m_messageLineEdit, 3, 0 );

    layout4 = new QHBoxLayout( 0, 0, 6, "layout4"); 

    m_nickLabel = new QLabel( this, "m_nickLabel" );
    m_nickLabel->setEnabled( FALSE );
    m_nickLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)5, 0, 0, m_nickLabel->sizePolicy().hasHeightForWidth() ) );
    m_nickLabel->setTextFormat( QLabel::RichText );
    m_nickLabel->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignRight ) );
    layout4->addWidget( m_nickLabel );

    m_nickButton = new QPushButton( this, "m_nickButton" );
    m_nickButton->setEnabled( FALSE );
    layout4->addWidget( m_nickButton );

    ApollonChatIfaceLayout->addLayout( layout4, 4, 0 );

    m_splitter = new QSplitter( this, "m_splitter" );
    m_splitter->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, m_splitter->sizePolicy().hasHeightForWidth() ) );
    m_splitter->setOrientation( QSplitter::Horizontal );

    m_chatWindow = new QTextBrowser( m_splitter, "m_chatWindow" );
    m_chatWindow->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 3, 0, m_chatWindow->sizePolicy().hasHeightForWidth() ) );
    m_chatWindow->setFocusPolicy( QTextBrowser::NoFocus );
    m_chatWindow->setTextFormat( QTextBrowser::RichText );

    m_nickListView = new QListView( m_splitter, "m_nickListView" );
    m_nickListView->addColumn( tr2i18n( "Nicks" ) );
    m_nickListView->header()->setClickEnabled( FALSE, m_nickListView->header()->count() - 1 );
    m_nickListView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 1, 0, m_nickListView->sizePolicy().hasHeightForWidth() ) );
    m_nickListView->setFocusPolicy( QListView::NoFocus );

    ApollonChatIfaceLayout->addWidget( m_splitter, 2, 0 );

    m_topic = new QTextBrowser( this, "m_topic" );
    m_topic->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, 0, 0, m_topic->sizePolicy().hasHeightForWidth() ) );
    m_topic->setFocusPolicy( QTextBrowser::NoFocus );
    m_topic->setVScrollBarMode( QTextBrowser::AlwaysOff );
    m_topic->setHScrollBarMode( QTextBrowser::AlwaysOff );
    m_topic->setTextFormat( QTextBrowser::RichText );
    m_topic->setWordWrap( QTextBrowser::NoWrap );

    ApollonChatIfaceLayout->addWidget( m_topic, 1, 0 );
    languageChange();
    resize( QSize(560, 531).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    m_connectLabel->setBuddy( m_connectButton );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ApollonChatIface::~ApollonChatIface()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ApollonChatIface::languageChange()
{
    setCaption( tr2i18n( "Apollon-Chat" ) );
    m_connectButton->setText( tr2i18n( "Connect" ) );
    m_connectLabel->setText( tr2i18n( "Click this button to start chatting with other Apollon users" ) );
    m_nickLabel->setText( tr2i18n( "Your nickname is currently: <b>myNickName</b>" ) );
    m_nickButton->setText( tr2i18n( "Change nickname" ) );
    m_nickListView->header()->setLabel( 0, tr2i18n( "Nicks" ) );
    m_topic->setText( QString::null );
}

#include "apollonchatiface.moc"
