/****************************************************************************
** Form interface generated from reading ui file './preferences.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#ifndef APOLLONPREFERENCESDIALOG_H
#define APOLLONPREFERENCESDIALOG_H

#include <qvariant.h>
#include <qpixmap.h>
#include <qdialog.h>
#include <kurl.h>
#include <kiconloader.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QSpacerItem;
class QPushButton;
class QTabWidget;
class QWidget;
class QGroupBox;
class QLabel;
class QLineEdit;
class QCheckBox;
class QComboBox;
class QListBox;
class QListBoxItem;
class QSpinBox;
class QWidgetStack;
class QProgressBar;

class ApollonPreferencesDialog : public QDialog
{
    Q_OBJECT

public:
    ApollonPreferencesDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~ApollonPreferencesDialog();

    QPushButton* buttonOk;
    QPushButton* buttonCancel;
    QTabWidget* tabWidget;
    QWidget* Widget2;
    QGroupBox* userGroup;
    QLabel* userLabel;
    QLineEdit* userEdit;
    QLabel* userInfoLabel;
    QGroupBox* sharedGroup;
    QLabel* sharedLabel;
    QLineEdit* downloadEdit;
    QPushButton* sharedFolderPB;
    QLabel* sharedFolderLabel;
    QCheckBox* shareDownloadCheck;
    QGroupBox* startupGroup;
    QLabel* pageLabel;
    QComboBox* pageCombo;
    QLabel* startupInfoLabel;
    QWidget* tab;
    QGroupBox* sharedGroup_2;
    QListBox* sharedFolderList;
    QPushButton* addButton;
    QPushButton* deleteButton;
    QLabel* sharedInfoLabel;
    QWidget* tab_2;
    QGroupBox* uploadGroup;
    QCheckBox* uploadsCheck;
    QLabel* uploadsLabel;
    QSpinBox* uploadsSpin;
    QLabel* uploadsInfoLabel;
    QLabel* userUploadsLabel;
    QSpinBox* userUploadsSpin;
    QLabel* userUploadsInfoLabel;
    QGroupBox* bandwidthGroup;
    QCheckBox* bandwidthCheck;
    QLabel* downRestrictionLabel;
    QSpinBox* downRestrictionSpin;
    QLabel* downRestrictionSizeLabel;
    QLabel* downRestrictionInfoLabel;
    QLabel* upRestrictionLabel;
    QSpinBox* upRestrictionSpin;
    QLabel* upRestrictionSizeLabel;
    QLabel* upRestrictionInfoLabel;
    QGroupBox* progressGroup;
    QLabel* progressExplanationLabel;
    QLabel* progressPreviewLabel;
    QWidgetStack* progressPreviewStack;
    QWidget* WStackPage;
    QProgressBar* progressPreviewKDE;
    QLabel* progressTypeLabel;
    QComboBox* progressTypeCombo;
    QWidget* Widget3;
    QGroupBox* notificationsGroup;
    QLabel* textLabel1_2;
    QComboBox* notificationComboBox;
    QLabel* textLabel4;
    QGroupBox* dockGroup;
    QCheckBox* dockingEnabledCheck;
    QCheckBox* startSysTrayCheck;
    QLabel* startSysTrayLabel;
    QCheckBox* removeSysTrayCheck;
    QLabel* removeSysTrayLabel;
    QGroupBox* dockGroup_2;
    QCheckBox* killDaemonCheck;
    QLabel* killDaemonLabel;
    QWidget* TabPage;
    QGroupBox* groupBoxPorts;
    QLabel* textLabel4_2;
    QSpinBox* spinSearchPort;
    QLabel* textLabel5;
    QLabel* textLabel6;
    QSpinBox* spinHttpPort;
    QLabel* textLabel7;
    QGroupBox* autoSearchGroup_2;
    QCheckBox* checkSearchnode;
    QLabel* textLabel2;
    QWidget* tab_3;
    QGroupBox* autoSearchGroup;
    QLabel* autoSearchLabel;
    QSpinBox* autoSearchSpin;
    QLabel* autoSearchSizeLabel;
    QLabel* autoSearchInfoLabel;
    QGroupBox* pluginsGroup;
    QListBox* pluginsList;
    QPushButton* addPluginButton;
    QPushButton* deletePluginButton;
    QPushButton* enablePluginButton;
    QGroupBox* sharingGroup;
    QCheckBox* hideHiddenCheck;
    QCheckBox* followSymlinksCheck;
    QGroupBox* syncGroup;
    QLabel* syncLabel;
    QComboBox* syncCombo;

    virtual void show();
    virtual QString incomingPath();
    virtual QString completedPath();

public slots:
    virtual void accept();
    virtual void uploadsCheckToggled( bool enabled );
    virtual void bandwidthCheckToggled( bool enabled );
    virtual void readGiftConfig( bool init );
    virtual void readConfig( bool init=false );
    virtual void saveGiftConfig();
    virtual void saveConfig();
    virtual void downloadDir();
    virtual void addSharedFolder();
    virtual void deleteSharedFolder();
    virtual void newPlugin();
    virtual void deletePlugin();
    virtual void disablePlugin();
    virtual void enableButton( QListBoxItem * it );
    virtual void giftSettingsChanged();

signals:
    void ok();
    void shutApollon(bool);
    void startDocked(bool);
    void showPopUps(int);
    void startPage(int);
    void autoSearchInterval(int);
    void sharedFolder(const QString&);
    void restartDaemon();
    void killDaemon(bool);
    void hideShares();
    void showShares();
    void dockingEnabled(bool);
    void progressBarType(int);

protected:
    QGridLayout* ApollonPreferencesDialogLayout;
    QHBoxLayout* Layout1;
    QSpacerItem* Horizontal_Spacing2;
    QVBoxLayout* Widget2Layout;
    QSpacerItem* spacer7_2;
    QGridLayout* userGroupLayout;
    QHBoxLayout* layout4;
    QVBoxLayout* sharedGroupLayout;
    QHBoxLayout* layout26;
    QVBoxLayout* startupGroupLayout;
    QHBoxLayout* layout15_2_2_2;
    QGridLayout* tabLayout;
    QVBoxLayout* sharedGroup_2Layout;
    QHBoxLayout* layout4_2;
    QSpacerItem* spacer8_2;
    QVBoxLayout* tabLayout_2;
    QVBoxLayout* uploadGroupLayout;
    QHBoxLayout* layout6_2;
    QHBoxLayout* layout6_3;
    QVBoxLayout* bandwidthGroupLayout;
    QHBoxLayout* layout24;
    QHBoxLayout* layout25;
    QGridLayout* progressGroupLayout;
    QVBoxLayout* WStackPageLayout;
    QVBoxLayout* Widget3Layout;
    QVBoxLayout* notificationsGroupLayout;
    QHBoxLayout* layout12;
    QVBoxLayout* dockGroupLayout;
    QVBoxLayout* dockGroup_2Layout;
    QGridLayout* TabPageLayout;
    QSpacerItem* spacer7_3;
    QVBoxLayout* groupBoxPortsLayout;
    QHBoxLayout* layout14;
    QHBoxLayout* layout15;
    QVBoxLayout* autoSearchGroup_2Layout;
    QVBoxLayout* tabLayout_3;
    QSpacerItem* spacer7;
    QVBoxLayout* autoSearchGroupLayout;
    QHBoxLayout* layout35;
    QHBoxLayout* pluginsGroupLayout;
    QVBoxLayout* layout28;
    QVBoxLayout* sharingGroupLayout;
    QHBoxLayout* syncGroupLayout;

protected slots:
    virtual void languageChange();

private:
    QString m_completed;
    QPixmap m_okPixmap;
    QPixmap m_noPixmap;
    QString m_disabledPlugins;
    bool m_startDocked;
    bool m_showNotification;
    int m_numDownloads;
    int m_numUploads;
    int m_numUserUploads;
    bool m_enableUpload;
    QString m_username;
    KURL m_sharedFolder;
    int m_startPage;
    bool m_mainWindowCloses;
    KIconLoader *m_loader;
    QString m_incoming;
    bool m_giftChanged;

    QPixmap image0;

    void init();

};

#endif // APOLLONPREFERENCESDIALOG_H
